Atualiza os valores de identificacao da regra de ponto
curl --request PATCH \
--url https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao \
--header 'Content-Type: application/json' \
--data '
{
"nome": "Regra de ponto Default"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({nome: 'Regra de ponto Default'})
};
fetch('https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
payload = { "nome": "Regra de ponto Default" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
payload := strings.NewReader("{\n \"nome\": \"Regra de ponto Default\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'nome' => 'Regra de ponto Default'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"nome\": \"Regra de ponto Default\"\n}"
response = http.request(request)
puts response.read_body{
"regraDePontoId": "72a3e315-2987017ce62d",
"nome": "Regra de ponto HORA EXTRA",
"codigo": 1,
"step": "CONFIG_HORA_EXTRA",
"tipoRegrasDePonto": "HORAS_EXTRAS",
"ativo": false,
"colaboradores": 0,
"padraoSistema": false
}Regras de ponto
Atualiza os valores de identificacao da regra de ponto
PATCH
/
regras-de-ponto
/
{regraDePontoId}
/
identificacao
Atualiza os valores de identificacao da regra de ponto
curl --request PATCH \
--url https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao \
--header 'Content-Type: application/json' \
--data '
{
"nome": "Regra de ponto Default"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({nome: 'Regra de ponto Default'})
};
fetch('https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
payload = { "nome": "Regra de ponto Default" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
payload := strings.NewReader("{\n \"nome\": \"Regra de ponto Default\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'nome' => 'Regra de ponto Default'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"nome\": \"Regra de ponto Default\"\n}"
response = http.request(request)
puts response.read_body{
"regraDePontoId": "72a3e315-2987017ce62d",
"nome": "Regra de ponto HORA EXTRA",
"codigo": 1,
"step": "CONFIG_HORA_EXTRA",
"tipoRegrasDePonto": "HORAS_EXTRAS",
"ativo": false,
"colaboradores": 0,
"padraoSistema": false
}Path Parameters
ID da Regra
Body
application/json
Dados para atualização da configuração
Response
Regra atualizada
Id da Regra de ponto
Example:
"regraDePontoId-id"
Nome default da regra
Example:
"Regra de ponto 5"
Código de identificação da regra
Example:
5
Tipo da regra de ponto
Available options:
HORAS_EXTRAS, BANCO_DE_HORAS, MISTO Proximo step de configuração
Available options:
CONFIG_HORA_EXTRA, CONFIG_BANCO_HORAS, CONFIG_MISTO, HORAS_NEGATIVAS, FLEXIBILIDADE_TOLERANCIA, ADICIONAL_NOTURNO, DSR, TOLERANCIA, IDENTIFICACAO, CONCLUIDO Retorna se regra está ativa
Example:
false
Retorna quantidade de colaboradores
Example:
10
Retorna flag para registro criado por padrão no sistema
Example:
false
Data de criação
Example:
"2026-05-11T13:08:58.677Z"
Data de update
Example:
"2026-05-11T13:08:58.677Z"